package com.pcloud.book.push.dto;


import com.pcloud.book.push.entity.SelfPushItem;

import java.util.List;

import lombok.Data;

/**
 * @描述：个人号群发新增
 * @作者：zhuyajie
 * @创建时间：9:49 2019/11/27
 * @版本：1.0
 */
public class SelfPushAddParamDTO {

    /**
     * 推送小号id
     */
    private String altId;

    /**
     * 推送用户id
     */
    private List<String> userIdList;

    /**
     * 推送信息
     */
    private List<SelfPushItem> pushItemList;
    /**
     * 立即发送
     */
    private Boolean sendNow;
    /**
     * 发送时间
     */
    private String sendTime;

    private String systemCode;

    private Long bookGroupId;

    public String getAltId() {
        return altId;
    }

    public void setAltId(String altId) {
        this.altId = altId;
    }

    public List<String> getUserIdList() {
        return userIdList;
    }

    public void setUserIdList(List<String> userIdList) {
        this.userIdList = userIdList;
    }

    public List<SelfPushItem> getPushItemList() {
        return pushItemList;
    }

    public void setPushItemList(List<SelfPushItem> pushItemList) {
        this.pushItemList = pushItemList;
    }

    public Boolean getSendNow() {
        return sendNow;
    }

    public void setSendNow(Boolean sendNow) {
        this.sendNow = sendNow;
    }

    public String getSendTime() {
        return sendTime;
    }

    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }

    public String getSystemCode() {
        return systemCode;
    }

    public void setSystemCode(String systemCode) {
        this.systemCode = systemCode;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }
}
